public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/sslscan/
Date: Mon, 19 Feb 2024 17:59:04 +0000 (UTC)	[thread overview]
Message-ID: <1708365536.c55ce926a55775972ef619cbf9ed48b369eeadab.graaff@gentoo> (raw)

commit:     c55ce926a55775972ef619cbf9ed48b369eeadab
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 17:57:50 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 17:58:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c55ce926

net-analyzer/sslscan: add ~ppc64, use openssl 3.0.13

Bug: https://bugs.gentoo.org/851720
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 net-analyzer/sslscan/Manifest                |  1 +
 net-analyzer/sslscan/sslscan-2.1.3-r1.ebuild | 82 ++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/net-analyzer/sslscan/Manifest b/net-analyzer/sslscan/Manifest
index 9e2b6b97af1b..ed9de4f1eecb 100644
--- a/net-analyzer/sslscan/Manifest
+++ b/net-analyzer/sslscan/Manifest
@@ -3,3 +3,4 @@ DIST sslscan-2.1.2.tar.gz 113842 BLAKE2B b4c297b9b8619f559bae28debaeab5fae89ba60
 DIST sslscan-2.1.3.tar.gz 113917 BLAKE2B 2c3dd21838bca82035dc4d1c48869d4d2c2a18ea603b947d39040744d2f51c4946e6ca6681d734aafc62cf71b6e380b31f6f29c7164c14c2d75e0d1ab5925245 SHA512 62dbb8c97598cdc5bf22cb8311eaba6cff186f6b874d8eb4165a80d0577cd0a13837222fe6ee4e015c353acef2691ff044f4538c04044869805b5455abf36155
 DIST sslscan-openssl-3.0.11.tar.gz 15347070 BLAKE2B e9b0d6c53b66fc66b1dfe46b042adb9bad770fa60555eea65748ef59bd7231ea8882f16ddff7e5ebdd1c164a83264a5d7da37a4f0207a3bd88045cabcebe0ea8 SHA512 4dd485720a335879bd52d0045edf65fd8397b6f6b6afb3e2c756230937304975b3bd95f67933cadde175cae81d420a692fcf7e96b9f9d2b059ea387a8d9ac305
 DIST sslscan-openssl-3.0.12.tar.gz 15352880 BLAKE2B 55a321609e97636173421e738bfb745b6e9a912744fba6d83bfecba199f8684b5625b8547e29305dacda91735cd329fc4c3f5c1f0f919d362a81995073781796 SHA512 8eb6141c1f3d43aa7dd5a5570c99302910feae0d25ab872c58432e5d11d3e330a069715fd4a0cd03234f3fb3e5e9fba38ef59977f7ecf162a2b048476dbb14c6
+DIST sslscan-openssl-3.0.13.tar.gz 15440228 BLAKE2B 00f66b5940b494c36ea8731f05691bf85206c7a93f6313f3ff2cea36d35ce99e71dadc9620188eee8ea0d7be523721af432d7fd74aa59e34634796cd0e4899a6 SHA512 272223fefae76759de40219dd05ff119b99688a807c1af01360470ac5f390426e45463c1445988bf0a6e4cca23a6e0b1649a78121f9d6f69f92563e307a7fd70

diff --git a/net-analyzer/sslscan/sslscan-2.1.3-r1.ebuild b/net-analyzer/sslscan/sslscan-2.1.3-r1.ebuild
new file mode 100644
index 000000000000..85086045d0da
--- /dev/null
+++ b/net-analyzer/sslscan/sslscan-2.1.3-r1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+# sslscan builds against a static openssl library to allow weak ciphers
+# to be enabled so that they can be tested.
+OPENSSL_RELEASE_TAG="openssl-3.0.13"
+
+DESCRIPTION="Fast SSL configuration scanner"
+HOMEPAGE="https://github.com/rbsec/sslscan"
+SRC_URI="https://github.com/rbsec/sslscan/archive/${PV}.tar.gz -> ${P}.tar.gz
+		 https://github.com/openssl/openssl/archive/${OPENSSL_RELEASE_TAG}.tar.gz -> ${PN}-${OPENSSL_RELEASE_TAG}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+# Requires a docker environment
+RESTRICT="test"
+
+# S="${WORKDIR}/${P}-${MY_FORK}"
+
+src_prepare() {
+	ln -s ../openssl-${OPENSSL_RELEASE_TAG} openssl || die
+	touch .openssl_is_fresh || die
+	sed -i -e '/openssl\/.git/,/fi/d' \
+		-e '/openssl test/d' Makefile || die
+
+	# Copied from dev-libs/openssl
+	# allow openssl to be cross-compiled
+	cp "${FILESDIR}"/gentoo.config-1.0.2 gentoo.config || die
+	chmod a+rx gentoo.config || die
+
+	default
+}
+
+src_configure() {
+	# Copied from dev-libs/openssl
+	unset APPS #197996
+	unset SCRIPTS #312551
+	unset CROSS_COMPILE #311473
+
+	tc-export CC AR RANLIB RC
+
+	local sslout=$(./gentoo.config)
+	einfo "Use configuration ${sslout:-(openssl knows best)}"
+	local config="Configure"
+	[[ -z ${sslout} ]] && config="config"
+
+	# Clean out hardcoded flags that openssl uses
+	local DEFAULT_CFLAGS=$(grep ^CFLAGS= Makefile | LC_ALL=C sed \
+		-e 's:^CFLAGS=::' \
+		-e 's:\(^\| \)-fomit-frame-pointer::g' \
+		-e 's:\(^\| \)-O[^ ]*::g' \
+		-e 's:\(^\| \)-march=[^ ]*::g' \
+		-e 's:\(^\| \)-mcpu=[^ ]*::g' \
+		-e 's:\(^\| \)-m[^ ]*::g' \
+		-e 's:^ *::' \
+		-e 's: *$::' \
+		-e 's: \+: :g' \
+		-e 's:\\:\\\\:g'
+	)
+
+	# Now insert clean default flags with user flags
+	sed -i \
+		-e "/^CFLAGS=/s|=.*|=${DEFAULT_CFLAGS} ${CFLAGS}|" \
+		-e "/^LDFLAGS=/s|=[[:space:]]*$|=${LDFLAGS}|" \
+		Makefile || die
+}
+
+src_compile() {
+	emake static
+}
+
+src_install() {
+	DESTDIR="${D}" emake install
+
+	dodoc Changelog README.md
+}


             reply	other threads:[~2024-02-19 17:59 UTC|newest]

Thread overview: 88+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-19 17:59 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-04  9:15 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/sslscan/ Sam James
2024-12-03 11:14 Sam James
2024-12-02  9:24 Hans de Graaff
2024-06-20  5:38 Hans de Graaff
2024-01-23 18:46 Sam James
2024-01-23 16:40 Sam James
2024-01-23 10:54 Hans de Graaff
2024-01-23 10:54 Hans de Graaff
2023-11-16 17:17 Arthur Zamarin
2023-11-16 17:17 Arthur Zamarin
2023-11-16  6:59 Hans de Graaff
2023-11-16  6:59 Hans de Graaff
2023-09-20  4:37 Hans de Graaff
2023-09-06  5:34 Hans de Graaff
2023-07-10  9:28 Arthur Zamarin
2023-07-10  9:28 Arthur Zamarin
2023-07-10  7:36 Hans de Graaff
2023-04-09  7:42 Sam James
2023-04-09  7:42 Sam James
2023-04-09  7:42 Hans de Graaff
2023-04-09  7:42 Hans de Graaff
2022-07-04  5:21 Hans de Graaff
2022-06-25 13:28 Jakov Smolić
2022-06-25 13:28 Jakov Smolić
2022-06-25  6:07 Hans de Graaff
2022-06-25  6:07 Hans de Graaff
2022-06-17 11:48 Jakov Smolić
2022-04-04  5:41 Hans de Graaff
2022-03-16  6:41 Hans de Graaff
2022-03-16  6:41 Hans de Graaff
2022-02-25 10:08 Jakov Smolić
2022-02-25 10:08 Jakov Smolić
2022-02-25  8:17 Hans de Graaff
2021-12-17  6:50 Hans de Graaff
2021-12-04 10:20 Hans de Graaff
2021-12-03 15:58 Sam James
2021-12-03  7:46 Arthur Zamarin
2021-12-03  6:44 Hans de Graaff
2021-04-28 17:26 Hans de Graaff
2021-04-03 15:57 Sam James
2021-03-26  6:36 Hans de Graaff
2021-03-26  6:36 Hans de Graaff
2021-02-21  6:47 Hans de Graaff
2021-02-11  6:55 Hans de Graaff
2021-02-05 12:31 Sam James
2021-02-05 10:40 Sam James
2021-02-05  7:16 Hans de Graaff
2020-11-04  6:27 Hans de Graaff
2020-10-26  6:46 Hans de Graaff
2020-10-26  6:46 Hans de Graaff
2020-10-15  5:07 Hans de Graaff
2020-10-13  4:26 Hans de Graaff
2020-10-09  8:06 Hans de Graaff
2020-10-09  8:06 Hans de Graaff
2020-10-05  5:17 Hans de Graaff
2020-09-21 17:24 Hans de Graaff
2020-08-30  5:35 Hans de Graaff
2020-08-29 17:57 Thomas Deutschmann
2020-07-24 15:09 Agostino Sarubbo
2020-07-24  4:15 Hans de Graaff
2019-10-13  8:46 Hans de Graaff
2019-05-13  5:31 Hans de Graaff
2019-05-12 20:56 Thomas Deutschmann
2019-04-02  4:11 Hans de Graaff
2018-10-25  7:28 Hans de Graaff
2018-10-25  7:28 Hans de Graaff
2018-07-21  4:05 Hans de Graaff
2018-07-20 22:40 Thomas Deutschmann
2018-01-27 11:37 Hans de Graaff
2018-01-09  6:14 Hans de Graaff
2018-01-08 22:50 Thomas Deutschmann
2018-01-07  7:48 Hans de Graaff
2017-07-21 17:01 Hans de Graaff
2017-06-27  3:55 Hans de Graaff
2017-06-26 20:52 Hans de Graaff
2017-06-26 20:52 Hans de Graaff
2017-04-10  5:23 Hans de Graaff
2016-12-28  8:14 Hans de Graaff
2016-12-28  8:14 Hans de Graaff
2016-09-04  6:23 Hans de Graaff
2016-07-01 13:02 Hans de Graaff
2016-05-28  7:16 Hans de Graaff
2016-03-07 19:40 Hans de Graaff
2016-03-04 16:46 Jason Donenfeld
2016-03-04 16:16 Jason Donenfeld
2016-03-03 17:14 Jason Donenfeld
2016-03-03 17:11 Jason Donenfeld

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1708365536.c55ce926a55775972ef619cbf9ed48b369eeadab.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox